Create a one-off destination
POST/v1/streams/{streamId}/createAndLinkOneOffDestination
POST
/v1/streams/{streamId}/createAndLinkOneOffDestination
const url = 'https://api.ligr.live/rest/v1/streams/1/createAndLinkOneOffDestination';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","type":"youtube","url":"example","key":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ligr.live/rest/v1/streams/1/createAndLinkOneOffDestination \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "type": "youtube", "url": "example", "key": "example" }'Create a new destination and link it to the stream, for a single match.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”streamId
required
number format: double
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
type
required
string
url
required
string
key
required
string
Responses
Section titled “Responses”Media typeapplication/json
object
id
required
Entity identifier
integer format: int32
Examplegenerated
{ "id": 1}Request is invalid
Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Stream not found
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key has made too many requests
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}